ce:update-parallel:
  extends:
    - .rules:ce-never-when-triggered-by-feature-flag-definition-change-and-never-when-qa-tests-specified
    - .test
    - .high-capacity
    - .ce-variables
    - .rspec-report-opts
    - .update-scenario-script
  parallel: 5

ce:update:
  extends:
    - .rules:ce-never-when-triggered-by-feature-flag-definition-change-and-never-when-qa-tests-not-specified
    - .test
    - .high-capacity
    - .ce-variables
    - .rspec-report-opts
    - .update-scenario-script

ce:update-quarantine:
  extends:
    - .rules:ce-never-when-triggered-by-feature-flag-definition-change
    - .test
    - .high-capacity
    - .ce-variables
    - .quarantine
    - .rspec-report-opts
    - .update-scenario-script
  variables:
    QA_RSPEC_TAGS: "--tag quarantine --tag ~orchestrated"

ee:update-parallel:
  extends:
    - .rules:ee-never-when-triggered-by-feature-flag-definition-change-and-never-when-qa-tests-specified
    - .test
    - .high-capacity
    - .ee-variables
    - .rspec-report-opts
    - .update-scenario-script
  parallel: 10

ee:update:
  extends:
    - .rules:ee-never-when-triggered-by-feature-flag-definition-change-and-never-when-qa-tests-not-specified
    - .test
    - .high-capacity
    - .ee-variables
    - .rspec-report-opts
    - .update-scenario-script

ee:update-quarantine:
  extends:
    - .rules:ee-never-when-triggered-by-feature-flag-definition-change
    - .test
    - .high-capacity
    - .ee-variables
    - .quarantine
    - .rspec-report-opts
  variables:
    QA_RSPEC_TAGS: "--tag quarantine --tag ~orchestrated"
